# reln

## Name

reln — A relation in a group presentation

## Synopsis

Content Model

    reln ::= (#PCDATA)

## Description

A `reln` element stores a single relation in a group presentation.

The character data of this XML element should be a whitespace-separated sequence of terms. Each term should be of the form ``g`^`p``, where `g` is an integer representing one of the group generators and `p` is an integer representing the power to which that generator is raised.

The relation itself then states that the product of these terms from left to right is equal to the identity.

Recall from the `group` specification that group generators are numbered 0, 1, 2, etc.

### Parents

The following elements contain `reln`: `group`.

### Children

Element `reln` has no children.

## Example

The following XML snippet represents the relation `(a b^2 c^-1 = 1)`, where `a`, `b` and `c` are generators numbers 0, 1 and 2 respectively.

    <reln> 0^1 1^2 2^-1 </reln>